<?php
/**
 * Template Name: Archives
 * List your categories and monthly archives by default.
 */

get_header();

?>

<div id="main">

	<?php 
		// Support for the Yoast Breadcrumb plugin and Breadcrumb Trail
		if ( function_exists( 'yoast_breadcrumb' ) )
			yoast_breadcrumb( '<p class="breadcrumbs">', '</p>' ); 
		elseif ( function_exists( 'breadcrumb_trail' ) )
			breadcrumb_trail();
    ?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
    
    <div class="post">

        <h1 class="entry-title"><?php the_title(); ?></h1>

        <?php 
            if ( has_post_thumbnail() )
                the_post_thumbnail( 'post-thumbnail' );
            
            the_content();
            
            // Check if the plugin Clean Archives Reloaded is activated
            if ( class_exists( 'CleanArchivesReloaded' ) ) :
                echo do_shortcode('[cleanarchivesreloaded]');
            else : 
        ?>
        
            <h4><?php _e( 'Archives by category', 'fap' ); ?></h4>
            
            <ul class="category-archives">
                <?php wp_list_categories( array( 'show_count' => true, 'use_desc_for_title' => false, 'title_li' => false ) ); ?>
            </ul><!-- end .category-archives -->
            
            <h4><?php _e( 'Archives by month', 'fap' ); ?></h4>
            
            <ul class="monthly-archives">
                <?php wp_get_archives( array( 'show_post_count' => true, 'type' => 'monthly' ) ); ?>
            </ul><!-- end .monthly-archives -->
            
        <?php
            endif;
            
            wp_link_pages( array( 'before' => '<p class="pages">' . __( 'Pages:', 'fap' ), 'after' => '</p>' ) );
            edit_post_link( __( 'Edit' ) );
        ?>
    
    </div> <!-- end .post-<?php the_ID(); ?> -->
    
    <?php comments_template( '', true ); ?>
  
<?php endwhile; ?>
    
</div> <!-- end #main -->
    
<?php
	get_sidebar();
	get_footer();
?>