<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11" />

	<meta charset="<?php bloginfo( 'charset' ); ?>" />
    
	<title><?php
	/**
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'fap' ), max( $paged, $page ) );

	?></title>
    
    <?php global $foption; ?>
    
    <link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    
    <?php if ( file_exists( $foption['favicon'] ) ) { ?>
    	<link rel="shortcut icon" href="<?php echo esc_url( $foption['favicon'] ); ?>" />
    <?php } ?>
    
    <?php 
		// Color sheme
		$colorscheme = ( $foption['color_scheme'] ) ? $foption['color_scheme'] : 'red.css';	
		echo '<link rel="stylesheet" type="text/css" media="all" href="' . THEME_URI . '/styles/' . esc_attr( $colorscheme ) . '" />';
	?>
    
    <!--[if lte IE 8]>
		<link href="<?php bloginfo('template_directory'); ?>/css/ie.css" rel="stylesheet" type="text/css" />
    <![endif]-->

<?php
	/**
	 * Add Droid Sans font loaded from Google Font Directory 
	 */
	wp_enqueue_style( 'DroidSans', 'http://fonts.googleapis.com/css?family=Droid+Serif:regular,bold&subset=latin' );

	/**
	 * Load scripts
	 */
	wp_enqueue_script( 'jquery' );  
	
	// These will be loaded in the footer, but have to be called now
	if ( $foption['show_slider'] = 1 && ( is_home() || is_front_page() ) )
		wp_enqueue_script( 'roundabout' );
	wp_enqueue_script( 'colorbox' );
	wp_enqueue_script( 'fap-script' );
		
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' ); 
	
	wp_head();
?>

</head>

<body <?php body_class(); ?>>

<div id="wrapper">

    <div id="header">
    
		<?php $heading_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div'; // h1 on home and frontpage ?>
        
        <<?php echo $heading_tag; ?> id="site-title">
            <a href="<?php echo home_url( '/' ); ?>" rel="home">
				<?php if ( get_header_image() ) { ?>
                    <img src="<?php header_image(); ?>" alt="<?php bloginfo( 'name' ); ?>" />
                <?php } else { ?>
                    <?php bloginfo( 'name' ); ?>
                <?php } ?>
            </a>
        </<?php echo $heading_tag; ?>>
        
        <?php
        	if ( get_bloginfo( 'description') && $foption['hide_desc'] != 1 )
        		echo '<p id="site-description">' . get_bloginfo( 'description' ) . '</p>';
        ?>
        
        <?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => ''  ) ); ?>
        
        <div class="clear"></div>
    
    </div> <!-- end #header -->

<div id="content">

	<?php 
		// Include slider.php
		if ( $foption['show_slider'] == 1 && ( is_home() || is_front_page() ) )
			get_template_part( 'slider' );
    ?>