<?php 

/**
 * Template for single slider posts
 */

get_header(); 

?>

<div id="main" class="full">

	<?php 
		// Support for the Yoast Breadcrumb plugin and Breadcrumb Trail
		if ( function_exists( 'yoast_breadcrumb' ) )
			yoast_breadcrumb( '<p class="breadcrumbs">', '</p>' ); 
		elseif ( function_exists( 'breadcrumb_trail' ) )
			breadcrumb_trail();
    ?>
    
<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
    
    <div class="post slider-post">
    
        <h1 class="entry-title"><?php the_title(); ?></h1>
        
        <?php 
			// Get data from the custom write panel
			fap_post_meta();
			global $meta;
			
			// What is it linking to?
			if ( $meta['fullimage'] ) {
				$link = $meta['fullimage'];
			} elseif ( $meta['url'] ) {
				$link = $meta['url'];
			} else {
				$src = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				$link = $src[0];
			}
			
			if ( has_post_thumbnail() )
				echo '<a href="' . esc_url( $link ) . '" class="colorbox" title="' . the_title_attribute( 'echo=0' ) . '">' . get_the_post_thumbnail( $post->ID, 'slider-image' ) . '</a>';
			
			echo '<div class="clear"></div>';
			
			the_content();
			
			wp_link_pages( array( 'before' => '<p class="pages">' . __( 'Pages:', 'fap' ), 'after' => '</p>' ) );
        ?>
        
        <div class="entry-utility entry-meta">
        	<?php edit_post_link( __( 'Edit' ), '<span class="edit-link">', '</span>' ); ?>
        </div> <!-- .entry-utility -->
    
    </div> <!-- end .post-<?php the_ID(); ?> -->
    
<?php endwhile; ?>

</div> <!-- end #main -->

<?php 
	get_footer(); 
?>